% plots var.dec.

function plvdc(vecdec)
nvar=size(vecdec,1);

figure('name','vardecomp');
title('Variance decomposition')
nq=size(vecdec,2);
for k=1:nvar
   subplot(nvar,1,k)
   plot(1:nq,[vecdec(k,:,1)'],'-s',...
      1:nq,vecdec(k,:,2)','--x',1:nq,vecdec(k,:,3)',':d',...
      1:nq,vecdec(k,:,4)','-o')
   set(gca,'Xtick',1:6)
   set(gca,'Xticklabel',{'1','4','8','12','16','infinity'})
   ylabel(['variable' num2str(k)],'FontName','Times','FontSize',12)
   %title('Variance decomposition for output')
   if k==1
       [legend_h]=legend('\it a','z','\nu','e');
       set(legend_h,'FontName','Times')
   end
   axis([1,6,0,1])
end

if 0

   %figure('name','vardecomp');
      subplot(3,1,2)
   plot([vecdec(2,:,1)',vecdec(2,:,2)',vecdec(2,:,3)',vecdec(2,:,4)'],'-o')
   set(gca,'Xtick',1:6)
   set(gca,'Xticklabel',{'1','4','8','12','16','infinity'})
   title('Variance decomposition for inflation')
   legend('shock 1','shock 2','shock3','shock4');
      axis([1,6,0,1])

   %figure('name','vardecomp');
      subplot(3,1,3)
   plot([vecdec(3,:,1)',vecdec(3,:,2)',vecdec(3,:,3)',vecdec(3,:,4)'],'-o')
   set(gca,'Xtick',1:6)
   set(gca,'Xticklabel',{'1','4','8','12','16','infinity'})
   title('Variance decomposition for interest rate')
   legend('shock 1','shock 2','shock3','shock4');
      axis([1,6,0,1])
end